#pragma once

#include "UnrealEd.h"
#include "SimpleAssetEditor.h"

class FMyAssetEditor : public FSimpleAssetEditor
{
public:
	static TSharedRef<FMyAssetEditor> CreateEditor(
		const EToolkitMode::Type Mode,
		const TSharedPtr< IToolkitHost >& InitToolkitHost,
		UObject* ObjectToEdit,
		FGetDetailsViewObjects GetDetailsViewObjects = FGetDetailsViewObjects()
		);

	virtual FName GetToolkitFName() const override { return FName("MyAssetEditor"); }
};
